/**
  * Aller (le terrier d'AbulEdu)
  *
  * @warning aucun traitement d'erreur n'est pour l'instant implémenté
  * @see https://redmine.ryxeo.com/projects/leterrier-aller
  * @author 2011 Jean-Louis Frucot <frucot.jeanlouis@free.fr>
  * @see The GNU Public License (GPL)
  */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef ABULEDUCELLULE_H
#define ABULEDUCELLULE_H

#include <QGraphicsObject>
#include <QPainter>

class AbuleduCellule : public QGraphicsObject
{
    Q_OBJECT
public:
    /** Definition d'un type customisé pour les cellules */
    enum { AbuleduCelluleType = UserType + 301 };

    int type() const
    {
        // Enable the use of qgraphicsitem_cast with this item.
        return AbuleduCelluleType;
    }
    explicit AbuleduCellule(QSizeF taille, QGraphicsObject *parent = 0);

    /** Fixe le Pen de contour
      * @param contour le pen de contour taille et couleur
      */

    // NSE
    void setPen(QPen contour);
    /** Fixe la brosse de Fond
      * @param brosseFond la brosse de remplissage du fond
      */
    void setBrush(QBrush brosseFond);

private:
        void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
        QSizeF m_taille;

        // NSE
        QPen m_penContour;
        QBrush m_brosseFond;

        QRectF boundingRect() const;
signals:

public slots:

protected slots:


};

#endif // ABULEDUCELLULE_H
